Bug 161211 - Memory above 8GB not seen
Memory above 8GB not seen
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 10:10 EDT by Ray
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 00:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel 2.6.10 FC3 (28.14 KB, text/plain)
2005-06-28 07:41 EDT, Ray
no flags Details
2.6.11 FC4 kernel (21.03 KB, text/plain)
2005-06-28 07:46 EDT, Ray
no flags Details
the 2.6.10 and 2.6.11 (51.93 KB, text/plain)
2005-06-29 08:09 EDT, Ray
no flags Details

  None (edit)
Description Ray 2005-06-21 10:10:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Using a Dual Opteron on a Tyan S2880 motherboard and 6 2GB DIMMS only 8GB is seen by the kernel. On FC3 all the memory is seen and used but upgrading to FC4  only 8GB is seena and used. Something must have changed in 2.6.11.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1.Load FC4
2.Use the FC4 kernel on FC3
3.
  

Actual Results:  Only 8GB is used

Expected Results:  Should see all 12GB of memory

Additional info:
Comment 1 Ray 2005-06-27 07:40:24 EDT
I tried the new 2.6.12 kernel from development
Linux version 2.6.12-1.1400_FC5smp (bhcompile@crowe.devel.redhat.com) (gcc
version 4.0.0 20050622 (Red Hat 4.0.0-13)) #1 SMP Thu Jun 23 23:32:58 EDT 2005
And I still have the same problem
Memory: 8106892k/12582912k available (2459k kernel code, 0k reserved, 1307k
data, 228k init)

I am not sure whether to look at the Tyan Motherboard or if I should download
the Kernel source and compile. Does RedHat put a limit in the Fedora Kernel at 8GB?
Comment 2 Dave Jones 2005-06-27 13:37:32 EDT
There are no such restrictions on memory (or other resources) in the Fedora kernel.

Can you attach the output of dmesg -s 128000 please ?
Comment 3 Ray 2005-06-27 14:15:55 EDT
I have tried it with and without the mem=12288M kernel switch.



Bootdata ok (command line is ro root=/dev/VolGroup00/LogVol00 rhgb quiet
psmouse.proto=imps mem=12288M numa=on)
Linux version 2.6.12-1.1400_FC5smp (bhcompile@crowe.devel.redhat.com) (gcc
version 4.0.0 20050622 (Red Hat 4.0.0-13)) #1 SMP Thu Jun 23 23:32:58 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000faff0000 (usable)
 BIOS-e820: 00000000faff0000 - 00000000fafff000 (ACPI data)
 BIOS-e820: 00000000fafff000 - 00000000fb000000 (ACPI NVS)
 BIOS-e820: 00000000ff780000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000300000000 (usable)
ACPI: RSDP (v002 ACPIAM                                ) @ 0x00000000000f6aa0
ACPI: XSDT (v001 A M I  OEMXSDT  0x11000417 MSFT 0x00000097) @ 0x00000000faff0100
ACPI: FADT (v001 A M I  OEMFACP  0x11000417 MSFT 0x00000097) @ 0x00000000faff0281
ACPI: MADT (v001 A M I  OEMAPIC  0x11000417 MSFT 0x00000097) @ 0x00000000faff0380
ACPI: OEMB (v001 A M I  OEMBIOS  0x11000417 MSFT 0x00000097) @ 0x00000000fafff040
ACPI: SRAT (v001 A M I  OEMSRAT  0x11000417 MSFT 0x00000097) @ 0x00000000faff3430
ACPI: HPET (v001 A M I  OEMHPET  0x11000417 MSFT 0x00000097) @ 0x00000000faff3520
ACPI: ASF! (v001 AMIASF AMDSTRET 0x00000001 INTL 0x02002026) @ 0x00000000faff3560
ACPI: DSDT (v001  0AAAA 0AAAA001 0x00000001 INTL 0x02002026) @ 0x0000000000000000
SRAT: PXM 0 -> APIC 0 -> Node 0
SRAT: PXM 1 -> APIC 1 -> Node 1
SRAT: Node 0 PXM 0 100000-faffffff
SRAT: Node 1 PXM 1 200000000-2ffffffff
SRAT: Node 0 PXM 0 0-faffffff
node 1 shift 24 addr 200000000 conflict 0
node 1 shift 25 addr 200000000 conflict 0
Bootmem setup node 0 0000000000000000-00000000faffffff
Bootmem setup node 1 0000000200000000-00000002ffffffff
On node 0 totalpages: 1028095
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 1023999 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
On node 1 totalpages: 1048575
  DMA zone: 0 pages, LIFO batch:1
  Normal zone: 1048575 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
ACPI: PM-Timer IO Port: 0x5008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:5 APIC version 16
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:5 APIC version 16
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x03] address[0xfebfe000] gsi_base[24])
IOAPIC[1]: apic_id 3, version 17, address 0xfebfe000, GSI 24-27
ACPI: IOAPIC (id[0x04] address[0xfebff000] gsi_base[28])
IOAPIC[2]: apic_id 4, version 17, address 0xfebff000, GSI 28-31
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
ACPI: HPET id: 0x102282a0 base: 0xfec01000
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at fb000000 (gap: fb000000:4780000)
Checking aperture...
CPU 0: aperture @ 8000000 size 32 MB
Aperture from northbridge cpu 0 too small (32 MB)
No AGP bridge found
Your BIOS doesn't leave a aperture memory hole
Please enable the IOMMU option in the BIOS setup
This costs you 64 MB of RAM
Mapping aperture over 65536 KB of RAM @ 8000000
Built 2 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
psmouse.proto=imps mem=12288M numa=on
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 131072 bytes)
time.c: Using 14.318180 MHz HPET timer.
time.c: Detected 1793.800 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Memory: 8106892k/12582912k available (2459k kernel code, 0k reserved, 1307k
data, 228k init)
Calibrating delay loop... 3547.13 BogoMIPS (lpj=1773568)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
Using local APIC timer interrupts.
Detected 12.456 MHz APIC timer.
softlockup thread 0 started up.
Booting processor 1/1 rip 6000 rsp ffff810037dd5f58
Initializing CPU#1
Calibrating delay loop... 3579.90 BogoMIPS (lpj=1789952)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
AMD Opteron(tm) Processor 244 stepping 08
CPU 1: Syncing TSC to CPU 0.
CPU 1: synchronized TSC with CPU 0 (last diff -113 cycles, maxerr 789 cycles)
Brought up 2 CPUs
softlockup thread 1 started up.
time.c: Using HPET based timekeeping.
testing NMI watchdog ... OK.
checking if image is initramfs... it is
NET: Registered protocol family 16
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050309
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:03:06.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.GOLA._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.GOLB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 11 12 14 *15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 *10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 15 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
hpet0: at MMIO 0xfec01000, IRQs 2, 8, 0
hpet0: 69ns tick, 3 32-bit timers
PCI-DMA: Disabling AGP.
PCI-DMA: aperture base @ 8000000 size 65536 KB
PCI-DMA: Reserving 64MB of IOMMU area in the AGP aperture
pnp: 00:0a: ioport range 0x680-0x6ff has been reserved
pnp: 00:0a: ioport range 0x295-0x296 has been reserved
pnp: 00:0a: ioport range 0x778-0x77f has been reserved
pnp: 00:0a: ioport range 0xb78-0xb7f has been reserved
pnp: 00:0a: ioport range 0xf78-0xf7f has been reserved
IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24 13:02:28 ak Exp $
audit: initializing netlink socket (disabled)
audit(1119859155.882:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 9861D0915A6C5A19
- User ID: Red Hat, Inc. (Kernel Module GPG key)
PCI: MSI quirk detected. pci_msi_quirk set.
PCI: MSI quirk detected. pci_msi_quirk set.
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports 8 throttling states)
Real Time Clock Driver v1.12
hpet_acpi_add: no address or irqs in _CRS
Linux agpgart interface v0.101 (c) Dave Jones
PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
AMD8111: IDE controller at PCI slot 0000:00:07.1
AMD8111: chipset revision 3
AMD8111: not 100% native mode: will probe irqs later
AMD8111: 0000:00:07.1 (rev 03) UDMA133 controller
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:pio, hdb:DMA
Probing IDE interface ide0...
hdb: SAMSUNG DVD-ROM SD-816B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdb: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.2 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 3.38
NET: Registered protocol family 2
IP: routing cache hash table of 65536 buckets, 1024Kbytes
TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Power state transitions not supported
powernow-k8: Power state transitions not supported
ACPI wakeup devices: 
PCI1 USB0 USB1 PS2K PS2M UAR1 UAR2 GOLA GLAN GOLB SMBC AC97 MODM PWRB 
ACPI: (supports S0 S1 S4 S5)
CPU0 attaching sched-domain:
 domain 0: span 00000001
  groups: 00000001
  domain 1: span 00000001
   groups: 00000001
   domain 2: span 00000003
    groups: 00000001 00000002
CPU1 attaching sched-domain:
 domain 0: span 00000002
  groups: 00000002
  domain 1: span 00000002
   groups: 00000002
   domain 2: span 00000003
    groups: 00000002 00000001
Freeing unused kernel memory: 228k freed
SCSI subsystem initialized
input: AT Translated Set 2 keyboard on isa0060/serio0
3ware 9000 Storage Controller device driver for Linux v2.26.02.002.
ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 27 (level, low) -> IRQ 169
input: ImPS/2 Generic Wheel Mouse on isa0060/serio1
scsi0 : 3ware 9000 Storage Controller
3w-9xxx: scsi0: Found a 3ware 9000 Storage Controller at 0xfc9ffc00, IRQ: 169.
3w-9xxx: scsi0: Firmware FE9X 2.02.00.012, BIOS BE9X 2.02.01.037, Ports: 8.
  Vendor: 3ware     Model: Logical Disk 00   Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 956884992 512-byte hdwr sectors (489925 MB)
SCSI device sda: drive cache: write back, no read (daft)
SCSI device sda: 956884992 512-byte hdwr sectors (489925 MB)
SCSI device sda: drive cache: write back, no read (daft)
 sda: sda1 sda2
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
QLogic Fibre Channel HBA Driver
ACPI: PCI Interrupt 0000:01:03.0[A] -> GSI 28 (level, low) -> IRQ 177
qla2300 0000:01:03.0: Found an ISP2312, irq 177, iobase 0xffffc2000001a000
qla2300 0000:01:03.0: Configuring PCI space...
qla2300 0000:01:03.0: Configure NVRAM parameters...
qla2300 0000:01:03.0: Verifying loaded RISC code...
qla2300 0000:01:03.0: Waiting for LIP to complete...
qla2300 0000:01:03.0: LIP reset occured (f8f7).
qla2300 0000:01:03.0: LIP occured (f8f7).
qla2300 0000:01:03.0: LOOP UP detected (2 Gbps).
qla2300 0000:01:03.0: Topology - (Loop), Host Loop address 0x0
scsi1 : qla2xxx
qla2300 0000:01:03.0: 
 QLogic Fibre Channel HBA Driver: 8.00.02b5-k
  QLogic QLA2342 - 
  ISP2312: PCI (33 MHz) @ 0000:01:03.0 hdma+, host#=1, fw=3.03.08 IPX
ACPI: PCI Interrupt 0000:01:03.1[B] -> GSI 29 (level, low) -> IRQ 185
qla2300 0000:01:03.1: Found an ISP2312, irq 185, iobase 0xffffc2000001c000
qla2300 0000:01:03.1: Configuring PCI space...
qla2300 0000:01:03.1: Configure NVRAM parameters...
qla2300 0000:01:03.1: Verifying loaded RISC code...
qla2300 0000:01:03.1: Waiting for LIP to complete...
qla2300 0000:01:03.1: LIP reset occured (f8f7).
  Vendor: IFT       Model: A16F-R1A2         Rev: 342H
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sdb: 2926485504 512-byte hdwr sectors (1498361 MB)
SCSI device sdb: drive cache: write back
SCSI device sdb: 2926485504 512-byte hdwr sectors (1498361 MB)
SCSI device sdb: drive cache: write back
 sdb: sdb1
Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
qla2300 0000:01:03.1: LIP occured (f8f7).
qla2300 0000:01:03.1: LOOP UP detected (2 Gbps).
qla2300 0000:01:03.1: Topology - (Loop), Host Loop address 0x0
scsi2 : qla2xxx
qla2300 0000:01:03.1: 
 QLogic Fibre Channel HBA Driver: 8.00.02b5-k
  QLogic QLA2342 - 
  ISP2312: PCI (33 MHz) @ 0000:01:03.1 hdma+, host#=2, fw=3.03.08 IPX
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
cfq: depth 4 reached, tagging now on
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
  Vendor: IFT       Model: A16F-R1A2         Rev: 342H
  Type:   Direct-Access                      ANSI SCSI revision: 03
SCSI device sdc: 2926485504 512-byte hdwr sectors (1498361 MB)
SCSI device sdc: drive cache: write back
SCSI device sdc: 2926485504 512-byte hdwr sectors (1498361 MB)
SCSI device sdc: drive cache: write back
 sdc: sdc1
Attached scsi disk sdc at scsi2, channel 0, id 0, lun 0
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
tg3.c:v3.31 (June 8, 2005)
ACPI: PCI Interrupt 0000:02:09.0[A] -> GSI 24 (level, low) -> IRQ 193
eth0: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)] (PCI:66MHz:64-bit)
10/100/1000BaseT Ethernet 00:e0:81:52:a6:64
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1] TSOcap[1] 
eth0: dma_rwctrl[763f0000]
ACPI: PCI Interrupt 0000:02:09.1[B] -> GSI 25 (level, low) -> IRQ 201
eth1: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)] (PCI:66MHz:64-bit)
10/100/1000BaseT Ethernet 00:e0:81:52:a6:65
eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] Split[0] WireSpeed[1] TSOcap[1] 
eth1: dma_rwctrl[763f0000]
shpchp: HPC vendor_id 1022 device_id 7460 ss_vid 0 ss_did 0
shpchp: shpc_init: cannot reserve MMIO region
shpchp: HPC vendor_id 1022 device_id 7450 ss_vid 0 ss_did 0
shpchp: shpc_init: cannot reserve MMIO region
shpchp: HPC vendor_id 1022 device_id 7450 ss_vid 0 ss_did 0
ACPI: PCI Interrupt 0000:00:0b.0[A]: no GSI - using IRQ 0
PCI: MSI quirk detected. MSI disabled.
shpchp: Can't get msi for the hotplug controller
shpchp: Use INTx for the hotplug controller
shpchp: Can't get irq 0 for the hotplug controller
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
hw_random: AMD768 system management I/O registers at 0x5000.
hw_random hardware driver 1.0.0 loaded
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI Interrupt 0000:03:00.0[D] -> GSI 19 (level, low) -> IRQ 209
ohci_hcd 0000:03:00.0: OHCI Host Controller
ohci_hcd 0000:03:00.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:03:00.0: irq 209, io mem 0xfeafd000
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ACPI: PCI Interrupt 0000:03:00.1[D] -> GSI 19 (level, low) -> IRQ 209
ohci_hcd 0000:03:00.1: OHCI Host Controller
ohci_hcd 0000:03:00.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:03:00.1: irq 209, io mem 0xfeafe000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ACPI: Power Button (FF) [PWRF]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SGI XFS with ACLs, security attributes, large block/inode numbers, no debug enabled
SGI XFS Quota Management subsystem
XFS mounting filesystem dm-1
Ending clean XFS mount for filesystem: dm-1
XFS mounting filesystem sdb1
Ending clean XFS mount for filesystem: sdb1
XFS mounting filesystem sdc1
Ending clean XFS mount for filesystem: sdc1
Adding 2031608k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
tg3: eth0: Link is up at 1000 Mbps, full duplex.
tg3: eth0: Flow control is off for TX and off for RX.
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is on for TX and on for RX.
NET: Registered protocol family 10
Disabled Privacy Extensions on device ffffffff804605c0(lo)
IPv6 over IPv4 tunneling driver
eth1: no IPv6 routers present
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
eth0: no IPv6 routers present
3w-9xxx: scsi0: AEN: INFO (0x04:0x0029): Background verify started:unit=0.
3w-9xxx: scsi0: AEN: INFO (0x04:0x002B): Background verify done:unit=0.
cfq: depth 4 reached, tagging now on
Machine check events logged
cfq: depth 4 reached, tagging now on
Machine check events logged
Machine check events logged
Losing some ticks... checking if CPU frequency changed.
Machine check events logged
end_request: I/O error, dev fd0, sector 0
Machine check events logged
Comment 4 Dave Jones 2005-06-27 14:21:42 EDT
Your BIOS has a buggy SRAT table..

SRAT: Node 1 PXM 1 200000000-2ffffffff

This line tells us that there is 4GB at that address, but according to the e820
table..

 BIOS-e820: 0000000100000000 - 0000000300000000 (usable)

there's really 8GB there.
Nothing we can do here, you'll have to complain to your motherboard vendor to
fix their BIOS. (Or possibly try changing options in the BIOS related to
SRAT/NUMA if there are any at all).
Comment 5 Ray 2005-06-27 14:25:20 EDT
Sorry I wasted yout time, but I looked for a problem like that and it seems to
have no problem seeing all 12GB with the FC3 2.6.10 Kernel.
Comment 6 Dave Jones 2005-06-27 15:44:00 EDT
Oops, sorry, I misread your report.  Ok, that's clearly a regression somewhere.
I'll look into it.
Comment 7 Dave Jones 2005-06-27 15:44:51 EDT
Can you attach the dmesg of the kernel that works so we have something to compare ?
Comment 8 Ray 2005-06-28 07:41:49 EDT
Created attachment 116055 [details]
kernel 2.6.10 FC3

This is the log from 2.6.10 on FC3
Comment 9 Ray 2005-06-28 07:46:16 EDT
Created attachment 116056 [details]
2.6.11 FC4 kernel

This is the log from the stock FC4 kernel
Comment 10 Ray 2005-06-29 08:09:10 EDT
Created attachment 116119 [details]
the 2.6.10 and 2.6.11

I reboted with the 2.6.10, then the 2.6.11 today and enclosed both logs.
Comment 11 Ray 2005-07-01 16:08:21 EDT
I tried the new 2.6.12.2 kernel today and the same thing.

Linux version 2.6.12-1.1387_FC4smp (bhcompile@thor.perf.redhat.com) (gcc version
4.0.0 20050519 (Red Hat 4.0.0-8)) #1 SMP Fri Jul 1 12:52:08 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000efff0000 (usable)
 BIOS-e820: 00000000efff0000 - 00000000effff000 (ACPI data)
 BIOS-e820: 00000000effff000 - 00000000f0000000 (ACPI NVS)
 BIOS-e820: 00000000ff780000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000300000000 (usable)
ACPI: RSDP (v002 ACPIAM                                ) @ 0x00000000000f6aa0
ACPI: XSDT (v001 A M I  OEMXSDT  0x11000417 MSFT 0x00000097) @ 0x00000000efff0100
ACPI: FADT (v001 A M I  OEMFACP  0x11000417 MSFT 0x00000097) @ 0x00000000efff0281
ACPI: MADT (v001 A M I  OEMAPIC  0x11000417 MSFT 0x00000097) @ 0x00000000efff0380
ACPI: OEMB (v001 A M I  OEMBIOS  0x11000417 MSFT 0x00000097) @ 0x00000000effff040
ACPI: SRAT (v001 A M I  OEMSRAT  0x11000417 MSFT 0x00000097) @ 0x00000000efff3430
ACPI: HPET (v001 A M I  OEMHPET  0x11000417 MSFT 0x00000097) @ 0x00000000efff3520
ACPI: ASF! (v001 AMIASF AMDSTRET 0x00000001 INTL 0x02002026) @ 0x00000000efff3560
ACPI: DSDT (v001  0AAAA 0AAAA001 0x00000001 INTL 0x02002026) @ 0x0000000000000000
SRAT: PXM 0 -> APIC 0 -> Node 0
SRAT: PXM 1 -> APIC 1 -> Node 1
SRAT: Node 0 PXM 0 100000-efffffff
SRAT: Node 1 PXM 1 200000000-2ffffffff
SRAT: Node 0 PXM 0 0-efffffff
node 1 shift 24 addr 200000000 conflict 0
node 1 shift 25 addr 200000000 conflict 0
Bootmem setup node 0 0000000000000000-00000000efffffff
Bootmem setup node 1 0000000200000000-00000002ffffffff
On node 0 totalpages: 983039
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 978943 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
On node 1 totalpages: 1048575
  DMA zone: 0 pages, LIFO batch:1
  Normal zone: 1048575 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
ACPI: PM-Timer IO Port: 0x5008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:5 APIC version 16
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:5 APIC version 16
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x03] address[0xfebfe000] gsi_base[24])
IOAPIC[1]: apic_id 3, version 17, address 0xfebfe000, GSI 24-27
ACPI: IOAPIC (id[0x04] address[0xfebff000] gsi_base[28])
IOAPIC[2]: apic_id 4, version 17, address 0xfebff000, GSI 28-31
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
ACPI: HPET id: 0x102282a0 base: 0xfec01000
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at f0000000 (gap: f0000000:f780000)
Checking aperture...
CPU 0: aperture @ f0000000 size 32 MB
Aperture from northbridge cpu 0 too small (32 MB)
No AGP bridge found
Your BIOS doesn't leave a aperture memory hole
Please enable the IOMMU option in the BIOS setup
This costs you 64 MB of RAM
Mapping aperture over 65536 KB of RAM @ 8000000
Built 2 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
psmouse.proto=imps numa=on elevator=deadline
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 131072 bytes)
time.c: Using 14.318180 MHz HPET timer.
time.c: Detected 1793.559 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Memory: 7927708k/12582912k available (2425k kernel code, 0k reserved, 1289k
data, 228k init)
Comment 12 Dave Jones 2005-07-15 17:51:05 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 13 Franco Moglie 2005-07-18 12:56:31 EDT
Hello, I have a dual AMD opteron processor 248 (speed 2.20 GHz) on a Tyan Thuder
K8W  (V2.04 BIOS) with 8 2GB DIMMS and I had the same problems: after the kernel
2.6.11 I lost 4 GB.

Before the memory was:
/var/log/messages.3:Mar 29 10:37:08 vega kernel: Linux version
2.6.10-1.770_FC3smp (bhcompile@dolly.build.redhat.com) (gcc version 3.4.2
20041017 (Red Hat 3.4.2-6.fc3)) #1 SMP Thu Feb 24 18:36:43 EST 2005
/var/log/messages.3:Mar 29 10:37:08 vega kernel: Memory: 15901552k/16777216k
available (2025k kernel code, 0k reserved, 1240k data, 208k init)

After it is:
/var/log/messages.1:Apr 12 20:41:13 vega kernel: Linux version
2.6.11-1.14_FC3smp (bhcompile@thor.perf.redhat.com) (gcc version 3.4.3 20050227
(Red Hat 3.4.3-22)) #1 SMP Thu Apr 7 19:36:23 EDT 2005
/var/log/messages.1:Apr 12 20:41:13 vega kernel: Memory: 11797396k/16777216k
available (2350k kernel code, 0k reserved, 1236k data, 220k init)

Now, with the 2.6.12-1.1398_FC4 update, I have found some differences booting
the SMP kernel or not:

Jul 18 18:17:25 vega kernel: Linux version 2.6.12-1.1398_FC4
(bhcompile@thor.perf.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8))
#1 Fri Jul 15
00:51:38 EDT 2005
Jul 18 18:17:25 vega kernel: Memory: 15901272k/16777216k available (2822k kernel
code, 285084k reserved, 1265k data, 196k init)

versus

Jul 18 18:06:13 vega kernel: Linux version 2.6.12-1.1398_FC4smp
(bhcompile@thor.perf.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8))
#1 SMP Fri
Jul 15 01:05:24 EDT 2005
Jul 18 18:06:13 vega kernel: Memory: 11795664k/16777216k available (2425k kernel
code, 0k reserved, 1289k data, 228k init)

Thank you for your help
Comment 14 Dan Carpenter 2005-07-18 13:49:23 EDT
We saw something similar with a system here.

2.6.10-1.770_FC3smp uses uses the e820 info and 2.6.11-1.14_FC3smp uses the ACPI
SRAT memory info.  Boot with acpi=off and all the memory will be detected (but
your system may be unstable so don't try to run that way).

I think Dave Jones was correct to say that you have a BIOS bug.

Comment 15 Dave Jones 2005-07-19 14:06:25 EDT
a less drastic 'fix' may be to try numa=off
Comment 16 Franco Moglie 2005-07-22 10:42:32 EDT
with numa=off or acpi=off it works, thankyou again.
Comment 17 Ray 2005-07-22 10:53:36 EDT
does this mean a board problem? Kernel?
Comment 18 Dan Carpenter 2005-07-22 11:52:56 EDT
Just a BIOS problem, not a kernel problem.  Download the newest BIOS from the
Tyan website.

http://www.tyan.com/support/html/bios_support.html

If that doesn't fix the problem, email them with a link to this bug.

Comment 19 Franco Moglie 2005-07-25 05:30:39 EDT
with numa=off I had a crash after two days from the boot.

It is the short log of 'LogWatch':
--------------------- Kernel Begin ------------------------ 

 WARNING:  Kernel Errors Present
           <ffffffff80264372>{vt_console_print+146}
<ffffffff8010f5b5>{error_exit+0}...:  13 Time(s)
    Stack: 0000000000000000 000000000000000146} ff8010f5b5>{error_exit+0}...:  1
Time(s)
    fff80264372>{vt_console_print+146} <ffffffff8010f5b5>{error_exit+0}...:  1
Time(s)
 
 ---------------------- Kernel End ------------------------- 


So, I upgraded the bios and now it is OK!

from /var/log/messages :
Jul 25 11:11:41 vega kernel: Bootdata ok (command line is ro root=LABEL=/ rhgb
quiet)
Jul 25 11:11:41 vega kernel: Linux version 2.6.12-1.1398_FC4smp
(bhcompile@thor.perf.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8))
#1 SMP Fri
Jul 15 01:05:24 EDT 2005
.....
Jul 25 11:11:41 vega kernel: Memory: 15834336k/16777216k available (2425k kernel
code, 0k reserved, 1289k data, 228k init)

Thankyou

Note You need to log in before you can comment on or make changes to this bug.